org.apache.kylin.jdbc

## Class KylinMeta.KMetaColumn

- java.lang.Object
- - org.apache.calcite.avatica.MetaImpl.MetaColumn
  - - org.apache.kylin.jdbc.KylinMeta.KMetaColumn

All Implemented Interfaces:
  org.apache.calcite.avatica.MetaImpl.Named, KylinMeta.NamedWithChildren

Enclosing class:
  KylinMeta

    public static class KylinMeta.KMetaColumn
    extends org.apache.calcite.avatica.MetaImpl.MetaColumn
    implements KylinMeta.NamedWithChildren

### Field Summary

### Fields inherited from class org.apache.calcite.avatica.MetaImpl.MetaColumn

`bufferLength, charOctetLength, columnDef, columnName, columnSize, dataType, decimalDigits, isAutoincrement, isGeneratedcolumn, isNullable, nullable, numPrecRadix, ordinalPosition, remarks, scopeCatalog, scopeSchema, scopeTable, sourceDataType, sqlDataType, sqlDatetimeSub, tableCat, tableName, tableSchem, typeName`

### Constructor Summary

Constructors
Constructor and Description
`KylinMeta.KMetaColumn(String tableCat, String tableSchem, String tableName, String columnName, int dataType, String typeName, int columnSize, Integer decimalDigits, int numPrecRadix, int nullable, int charOctetLength, int ordinalPosition, String isNullable)`

### Method Summary

Methods
`List<KylinMeta.NamedWithChildren>` `getChildren()`

### Methods inherited from class org.apache.calcite.avatica.MetaImpl.MetaColumn

`getName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.calcite.avatica.MetaImpl.Named

`getName`

### Constructor Detail

#### KylinMeta.KMetaColumn

    public KylinMeta.KMetaColumn(String tableCat,
                         String tableSchem,
                         String tableName,
                         String columnName,
                         int dataType,
                         String typeName,
                         int columnSize,
                         Integer decimalDigits,
                         int numPrecRadix,
                         int nullable,
                         int charOctetLength,
                         int ordinalPosition,
                         String isNullable)

### Method Detail

#### getChildren

    public List<KylinMeta.NamedWithChildren> getChildren()

Specified by:
  `getChildren` in interface `KylinMeta.NamedWithChildren`